Subject: Bug#3900: mgetty doesn't work

From: Ian Jackson <[email-masked]>
Date: Wed, 24 Jul 96 01:24 BST

Package: mgetty
Version: 0.98-2

-chiark:~> ps uaxww | grep c0
ian      26870  0.0  1.2   912   372  p3 S    01:21   0:00 grep c0
[ In another window I type `telinit q' to reload the inittab ...]
-chiark:~> ps uaxww | grep c0
ian      26882  0.0  1.2   912   372  p3 S    01:21   0:00 grep c0 
root     26871  1.0  1.2   864   396  ?  S    01:21   0:00 /sbin/mgetty -r -i /dev/null -p chiark login:  -s 9600 ttyc0 
[ good, mgetty is running.  Why no controlling terminal ?
I hit return ]
-chiark:~> ps uaxww | grep c0
ian      26889  0.0  1.2   912   372  p3 S    01:22   0:00 grep c0 
root     26871  0.6  1.3   868   404  c0 S    01:21   0:00 /sbin/mgetty -r -i /dev/null -p chiark login:  -s 9600 ttyc0 
[ Ah, that's better.  Right, I type in `testac', the name of my
testing account. ]
-chiark:~> ps uaxww | grep c0
ian      26891  0.0  1.2   912   372  p3 S    01:22   0:00 grep c0 
[ Huh, nothing on c0 ? ]
-chiark:~> ps uaxww | grep 26871
ian      26893  0.0  1.2   912   372  p3 S    01:22   0:00 grep 26871 
root     26871  0.5  1.0   808   332  ?  S    01:21   0:00 login testac 
-chiark:~> 
[ Oh, I see.  It has managed to disassociate itself from the tty.
Poor login.  In the syslog I see:
Jul 24 01:20:43 chiark mgetty[26838]: data dev=ttyc0, pid=26838, caller=none, conn='DIRECT', name='', cmd='/bin/login', user='testac'
]

Ian.